import type { _NSCoding } from "../Foundation/NSCoding.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _WebUndefined extends _NSObject {
    static alloc(): _WebUndefined;
    static new(): _WebUndefined;
    init(): _WebUndefined;
    /** @method undefined @result The WebUndefined shared instance. */
    static undefined(): _WebUndefined;
}
export interface _WebUndefined extends _NSCoding, _NSCopying {
}
